.robot-filter-container {
  margin-top: 1.56vw;
  --color: #007aff;
}
.robot-filter-container .product-type-tabs {
  display: flex;
  background-color: #f4f4f4;
  border-bottom: 0.1vw solid var(--color);
}
.robot-filter-container .product-type-tabs .tab {
  line-height: 3.12vw;
  padding: 0 1.25vw;
  color: #333;
  cursor: pointer;
  transition: all 0.3s;
  font-size: 1.04vw;
}
.robot-filter-container .product-type-tabs .tab.active {
  color: #fff;
  background-color: var(--color);
}
.robot-filter-container .filter-row {
  margin: 1.3vw 0;
  padding-left: 1.25vw;
  display: flex;
  align-items: center;
  gap: 1.04vw;
  font-size: 0.94vw;
}
.robot-filter-container .filter-row .filter-options {
  display: flex;
  align-items: center;
  gap: 1.04vw;
}
.robot-filter-container .filter-row .filter-options .option {
  cursor: pointer;
}
.robot-filter-container .filter-row .filter-options .option.active {
  color: var(--color);
}
.robot-filter-container .filter-row > div {
  display: flex;
  align-items: center;
  gap: 1.04vw;
}
.robot-filter-container .filter-row > div button {
  color: #333;
  background-color: #e8e8e8;
  line-height: 2.08vw;
  width: 5.21vw;
  text-align: center;
  border: none;
}
.robot-filter-container .filter-row > div button.btn-confirm {
  color: #fff;
  background-color: var(--color);
}
.robot-filter-container .filter-row .slide-dropdown {
  position: relative;
  min-width: 10.42vw;
  cursor: pointer;
  border: 1px solid #d9d9d9;
}
.robot-filter-container .filter-row .slide-dropdown .dropdown-header {
  position: relative;
  padding: 0 2.08vw 0 0.5em;
  line-height: 1.98vw;
  font-size: 0.94vw;
  color: #333;
}
.robot-filter-container .filter-row .slide-dropdown .dropdown-header img {
  right: 0.42vw;
  width: 1.25vw;
  top: 50%;
  position: absolute;
  transform: translateY(-50%);
}
.robot-filter-container .filter-row .slide-dropdown .dropdown-menu {
  position: absolute;
  left: 0;
  width: 100%;
  box-sizing: border-box;
  border: 1px solid var(--color);
  border-radius: 0;
  float: none;
}
.robot-filter-container .filter-row .slide-dropdown .dropdown-menu li {
  position: relative;
  font-size: 0.94vw;
  padding: 0 0.5em;
  line-height: 1.98vw;
}
.robot-filter-container .filter-row .slide-dropdown .dropdown-menu li.active {
  color: #007aff;
}
.robot-filter-container .filter-row .slide-dropdown .dropdown-menu li.active::after {
  position: absolute;
  content: "";
  right: 1.56vw;
  top: 50%;
  transform: translateY(-50%);
  width: 0.89vw;
  height: 0.63vw;
  background-image: url(../images/select-li.png);
  background-size: 100% 100%;
}
.robot-filter-container .filter-row .slide-dropdown .dropdown-menu li:not(:last-child) {
  border-bottom: 0.05vw solid #d9d9d9;
}
.robot-filter-container .filter-tag {
  padding-left: 1.25vw;
  display: flex;
  align-items: stretch;
  gap: 1.56vw;
}
.robot-filter-container .filter-tag span {
  display: flex;
  align-items: center;
  gap: 1.04vw;
  line-height: 1.88vw;
  font-size: 0.94vw;
  padding: 0 0.52vw;
  border: 1px solid #333;
}
.robot-filter-container .filter-tag span em {
  margin-left: -1vw;
  font-style: normal;
}
.robot-filter-container .filter-tag span i {
  cursor: pointer;
  width: 0.63vw;
  height: 0.63vw;
  background: url(../images/close.png);
  background-size: 100% 100%;
}
.robot-filter-container .filter-tag button {
  border: none;
  font-size: 0.94vw;
  width: 6.25vw;
  background: #e8e8e8;
}
@media screen and (max-width: 768px) {
  .robot-filter-container {
    margin-top: 4vw;
  }
  .robot-filter-container .product-type-tabs {
    margin: 0 -15px;
    padding: 0 15px;
    display: flex;
    background-color: #f4f4f4;
    border-bottom: 0.27vw solid var(--color);
  }
  .robot-filter-container .product-type-tabs .tab {
    line-height: 9.33vw;
    padding: 0 2vw;
    font-size: 3.73vw;
  }
  .robot-filter-container .filter-row {
    margin: 4vw 0;
    gap: 4vw;
    font-size: 3.73vw;
    flex-direction: column;
  }
  .robot-filter-container .filter-row .filter-options {
    flex: 1;
    gap: 2.67vw;
    flex-wrap: wrap;
  }
  .robot-filter-container .filter-row > div {
    align-items: center;
    width: 100%;
    gap: 2.67vw;
  }
  .robot-filter-container .filter-row > div .filter-label {
    width: 18vw ;
  }
  .robot-filter-container .filter-row > div button {
    line-height: 8.53vw;
    flex: 1;
  }
  .robot-filter-container .filter-row .slide-dropdown {
    flex: 1;
    position: relative;
    min-width: 26.67vw;
    cursor: pointer;
    border: 1px solid #d9d9d9;
  }
  .robot-filter-container .filter-row .slide-dropdown .dropdown-header {
    position: relative;
    padding: 0 5.33vw 0 0.5em;
    line-height: 8.53vw;
    font-size: 3.73vw;
    color: #333;
  }
  .robot-filter-container .filter-row .slide-dropdown .dropdown-header img {
    right: 1.07vw;
    width: 4vw;
    top: 50%;
    position: absolute;
    transform: translateY(-50%);
  }
  .robot-filter-container .filter-row .slide-dropdown .dropdown-menu {
    position: absolute;
    left: 0;
    width: 100%;
    box-sizing: border-box;
    border: 1px solid var(--color);
    border-radius: 0;
    float: none;
  }
  .robot-filter-container .filter-row .slide-dropdown .dropdown-menu li {
    font-size: 3.73vw;
    padding: 0 0.5em;
    line-height: 8.53vw;
  }
  .robot-filter-container .filter-row .slide-dropdown .dropdown-menu li:not(:last-child) {
    border-bottom: 0.13vw solid #d9d9d9;
  }
  .robot-filter-container .filter-tag {
    padding-left: 0;
    display: flex;
    align-items: stretch;
    flex-wrap: wrap;
    gap: 4vw;
  }
  .robot-filter-container .filter-tag span {
    display: flex;
    align-items: center;
    gap: 2.67vw;
    line-height: 8.53vw;
    font-size: 3.73vw;
    padding: 0 2vw;
    border: 1px solid #333;
  }
  .robot-filter-container .filter-tag span em {
    margin-left: -2.6vw;
    font-style: normal;
  }
  .robot-filter-container .filter-tag span i {
    cursor: pointer;
    width: 1.6vw;
    height: 1.6vw;
    background: url(../images/close.png);
    background-size: 100% 100%;
  }
  .robot-filter-container .filter-tag button {
    border: none;
    font-size: 3.73vw;
    width: 18vw;
    background: #e8e8e8;
  }
}
